Subject: Re: bug#47872: 28.0.50; Emacs tries to load character map files from buildir instead of libdir or datadir

From: Eli Zaretskii <[email-masked]>
Date: Sun, 18 Apr 2021 22:17:46 +0300

> From: Bjoern Bidar <[email-masked]>
> Date: Sun, 18 Apr 2021 21:51:25 +0300
> 
> > Then please describe in detail the steps you took to configure, build,
> > and install the native-comp branch, and how did you invoke it after
> > that.
> 
> Like mentioned in the first message of this thread (except pgtk of course).
> 
> I quote:
>  'configure --prefix=/usr --sysconfdir=/etc --libexecdir=/usr/lib
>  --localstatedir=/var --mandir=/usr/share/man --with-gameuser=:games
>  --with-sound=alsa --with-modules --without-gconf --without-gsettings
>  --with-nativecomp --enable-link-time-optimization
>  --enable-profiling --with-x-toolkit=gtk3 --without-xaw3d
>  --without-m17n-flt --with-cairo 'CFLAGS=-mtune=native -O2 -pipe
>  -fstack-protector-strong -fno-plt -fPIC -g -flto -fuse-linker-plugin
>  -fuse-ld=gold -g -flto -fuse-linker-plugin -fuse-ld=gold'
>  CPPFLAGS=-D_FORTIFY_SOURCE=2
>  LDFLAGS=-Wl,-O1,--sort-common,--as-needed,-z,relro,-z,now'
> 
> Make install
> 
> Run emacs:
> emacs 

Thanks.  But in your original report you said:

> On my build to today I noticed that emacs tries to load files from the
> build dir instead of the destdir/libdir or datadir:

So what is that "build dir" in this case, and what is destdir/libdir
and datadir?  Without knowing that, how to understand the warning
messages you are quoting:

> Warning: arch-dependent data dir '/build/emacs-native-comp-pgtk-git/src/emacs-
> git/lib-src/': No such file or directory
> Warning: arch-independent data dir '/build/emacs-native-comp-pgtk-git/src/
> emacs-git/etc/': No such file or directory
> Error: /build/emacs-native-comp-pgtk-git/src/emacs-git/etc/charsets: No such 
> file or directory
> Emacs will not function correctly without the character map files.
> Please check your installation!

P.S. And please use Reply All to keep the bug address on the CC list,
so that this discussion gets recorded by the Emacs bug tracker.